'use strict'

const a = require('assert')
const is = require('@sindresorhus/is')

const validateReference = require('./reference')
const validTypes = require('./valid-types')

const validateItem = (item, name = 'item', withId = true) => {
  a.ok(is.object(item) && !is.array(item), name + ' must be an object')
  a.strictEqual(typeof item.type, 'string', name + '.type must be a string')
  a.ok(validTypes.includes(item.type), name + '.type is invalid')
  if (withId) validateReference(item.id, name + '.id')
}

module.exports = validateItem
